org.richfaces.renderkit.html

## Class ToolbarGroupRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.html.ToolbarRendererBase
      - - org.richfaces.renderkit.html.ToolbarGroupRenderer

-     public class ToolbarGroupRenderer
      extends ToolbarRendererBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.richfaces.renderkit.html.ToolbarRendererBase

      `ToolbarRendererBase.ItemSeparators, ToolbarRendererBase.Locations`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `RENDERER_TYPE`

    - ### Fields inherited from class org.richfaces.renderkit.html.ToolbarRendererBase

      `ITEMS_HANDLER_ATTRIBUTES`

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToolbarGroupRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `protected Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
    `AbstractToolbar` | `getParentToolBar(javax.faces.component.UIComponent component)`
    `boolean` | `getRendersChildren()`

    - ### Methods inherited from class org.richfaces.renderkit.html.ToolbarRendererBase

      `encodeClientItemID, getHeightToolbar, getOptions, getWidthToolbar, insertDefaultSeparatorIfNeed, insertSeparatorIfNeed, isPropertyRendered, renderColElements`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RENDERER_TYPE

          public static final String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ToolbarGroupRenderer

          public ToolbarGroupRenderer()

  - ### Method Detail

    - #### getComponentClass

          protected Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Overrides:
        `getComponentClass` in class `ToolbarRendererBase`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `ToolbarRendererBase`

    - #### doEncodeChildren

          public void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext facesContext,
                              javax.faces.component.UIComponent component)
                                throws IOException

      Overrides:
        `doEncodeChildren` in class `ToolbarRendererBase`
      Throws:
        `IOException`

    - #### getParentToolBar

          public AbstractToolbar getParentToolBar(javax.faces.component.UIComponent component)

Copyright © 2014 JBoss by Red Hat. All rights reserved.